%define pkgname Gazpacho
Summary: Gazpacho is a clone of the glade designer written in python and gtk
Name: gazpacho
Version: 0.6.2
Release: 1mdk
Source: http://ftp.gnome.org/pub/GNOME/sources/gazpacho/%{name}-%{version}.tar.bz2
License: LGPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: pygtk2.0-devel
Requires: python
Requires: pygtk2.0
Url: http://gazpacho.sicem.biz/
Buildarch: noarch
BuildRequires:	XFree86-Xvfb

%description
This program allows you to create the Graphical User Interface (GUI) of your
GTK+ program in a visual way. Yes, it is a Glade-3 clone. It is compatible with
libglade and it's on its early stages of development.
 
Gazpacho is part of the Gruppy framework but is not dependent of any part of
it so you can use it by its own.

%prep
%setup -q

%build
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
python%{pyver} setup.py build
kill $(cat /tmp/.X$XDISPLAY-lock)

%install
rm -rf $RPM_BUILD_ROOT %name.lang installed-docs
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
python%{pyver} setup.py install --root=%{buildroot}
mv %buildroot%_datadir/doc/%name installed-docs
kill $(cat /tmp/.X$XDISPLAY-lock)
%find_lang %name
# menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
title="Gazpacho" \
longtitle="Clone of the glade designer written in python and gtk" \
needs="x11" \
icon="%{_datadir}/gazpacho/pixmaps/gazpacho-icon.png" \
section="More Applications/Development/Development Environments" \
startup_notify="yes"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc installed-docs
%{_bindir}/%{name}
%{_datadir}/%{name}
%_datadir/applications/%name.desktop
%{_libdir}/python%{pyver}/site-packages/%{name}
%{_menudir}/%{name}

%changelog
* Wed Sep  7 2005 Gtz Waschk <waschk@mandriva.org> 0.6.2-1mdk
- update file list
- drop patch
- New release 0.6.2

* Tue Aug 16 2005 Gtz Waschk <waschk@mandriva.org> 0.6.1-1mdk
- fix URL
- build fix
- New release 0.6.0

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.5.3-2mdk
- fix deps

* Mon Apr 11 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- New release 0.5.3

* Tue Feb 22 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- New release 0.5.2

* Wed Feb 16 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-3mdk
- generate path.py

* Wed Feb 16 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- fix installation

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- New release 0.5.1

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- update file list
- fix source URL
- new version

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.3.1-2mdk
- Rebuild for new python

* Mon Oct 22 2004 Tigrux <tigrux@ximian.com> 0.3.1-1mdk
- First RPM for Mandrake
